メインコンテンツへスキップ
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
balance-updates
ウォレット - 残高更新
curl --request GET \
  --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/balance-updates \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "accountOwnerAddress": "<string>",
      "balanceChange": "<string>",
      "balanceChangeInNative": "<string>",
      "balanceChangeInUsd": "<string>",
      "blockHash": "<string>",
      "blockHeight": 123,
      "blockTimestamp": 123,
      "changeType": "INCREASE",
      "index": 123,
      "postBalance": "<string>",
      "postBalanceInNative": "<string>",
      "postBalanceInUsd": "<string>",
      "preBalance": "<string>",
      "preBalanceInNative": "<string>",
      "preBalanceInUsd": "<string>",
      "tokenAccountAddress": "<string>",
      "tokenAddress": "<string>",
      "transactionSignature": "<string>",
      "type": "SOL",
      "blockSlot": 123
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

chain
enum<string>
必須

サポートされているネットワークに記載されているチェーン名 Supported blockchain chains

利用可能なオプション:
sol,
eth,
bsc
walletAddress
string
必須

ウォレットのアドレス

クエリパラメータ

cursor
string

ページネーションカーソル

limit
integer<int64>
デフォルト:20

ページあたりの結果数

direction
enum<string>
デフォルト:next

ページネーション方向(next または prev) Pagination direction

利用可能なオプション:
next,
prev
tokenAddress
string

トークンのアドレス

timeFrom
integer<int64>

開始タイムスタンプ(Unix エポック秒)

timeTo
integer<int64>

終了タイムスタンプ(Unix エポック秒)

type
enum<string>

残高タイプフィルタ(SOL: ネイティブ、SPL: トークン) Balance token type

利用可能なオプション:
SOL,
SPL
changeType
enum<string>

残高変動方向フィルタ(INCREASE または DECREASE) Balance change type

利用可能なオプション:
INCREASE,
DECREASE

レスポンス

200 - application/json

成功レスポンス

Generic pagination response

data
object[]
必須

Page data

endCursor
string | null

Cursor for the end of current page

:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

:

false

hasPrev
boolean

Whether there is a previous page

:

false

startCursor
string | null

Cursor for the start of current page

:

"eyJpZCI6InN0YXJ0In0="